Serv U SolarWinds Serv U

Do you want an email whenever new security vulnerabilities are reported in SolarWinds Serv U?

Known Exploited SolarWinds Serv U Vulnerabilities

The following SolarWinds Serv U vulnerabilities have been marked by CISA as Known to be Exploited by threat actors.

Title Description Added
SolarWinds Serv-U Path Traversal Vulnerability SolarWinds Serv-U contains a path traversal vulnerability that allows an attacker access to read sensitive files on the host machine. CVE-2024-28995 July 17, 2024
SolarWinds Serv-U Improper Input Validation Vulnerability SolarWinds Serv-U versions 15.2.5 and earlier contain an improper input validation vulnerability which allows attackers to build and send queries without sanitization. CVE-2021-35247 January 21, 2022

By the Year

In 2024 there have been 1 vulnerability in SolarWinds Serv U with an average score of 7.5 out of ten. Last year Serv U had 4 security vulnerabilities published. Right now, Serv U is on track to have less security vulnerabilities in 2024 than it did last year. However, the average CVE base score of the vulnerabilities in 2024 is greater by 0.78.

Year Vulnerabilities Average Score
2024 1 7.50
2023 4 6.73
2022 5 6.00
2021 10 7.47
2020 4 6.80
2019 0 0.00
2018 2 6.90

It may take a day or so for new Serv U vulnerabilities to show up in the stats or in the list of recent security vulnerabilties. Additionally vulnerabilities may be tagged under a different product or component name.

Recent SolarWinds Serv U Security Vulnerabilities

SolarWinds Serv-U was susceptible to a directory transversal vulnerability

CVE-2024-28995 7.5 - High - June 06, 2024

SolarWinds Serv-U was susceptible to a directory transversal vulnerability that would allow access to read sensitive files on the host machine.

Directory traversal

A vulnerability has been identified within Serv-U 15.4

CVE-2023-40053 5 - Medium - December 06, 2023

A vulnerability has been identified within Serv-U 15.4 that allows an authenticated actor to insert content on the file share function feature of Serv-U, which could be used maliciously.

A vulnerability has been identified within Serv-U 15.4 and 15.4 Hotfix 1

CVE-2023-40060 7.2 - High - September 07, 2023

A vulnerability has been identified within Serv-U 15.4 and 15.4 Hotfix 1 that, if exploited, allows an actor to bypass multi-factor/two-factor authentication. The actor must have administrator-level access to Serv-U to perform this action. 15.4.  SolarWinds found that the issue was not completely fixed in 15.4 Hotfix 1. 

Authorization

A vulnerability has been identified within Serv-U 15.4 that, if exploited, allows an actor to bypass multi-factor/two-factor authentication

CVE-2023-35179 7.2 - High - August 11, 2023

A vulnerability has been identified within Serv-U 15.4 that, if exploited, allows an actor to bypass multi-factor/two-factor authentication. The actor must have administrator-level access to Serv-U to perform this action. 

Authorization

SolarWinds Serv-U is submitting an HTTP request when changing or updating the attributes for File Share or File request

CVE-2023-23841 7.5 - High - June 15, 2023

SolarWinds Serv-U is submitting an HTTP request when changing or updating the attributes for File Share or File request.? Part of the URL of the request discloses sensitive data. 

Cleartext Transmission of Sensitive Information

This vulnerability happens in the web client versions 15.3.0 to Serv-U 15.3.1

CVE-2022-38106 5.4 - Medium - December 16, 2022

This vulnerability happens in the web client versions 15.3.0 to Serv-U 15.3.1. This vulnerability affects the directory creation function.

XSS

Common encryption key appears to be used across all deployed instances of Serv-U FTP Server

CVE-2021-35252 7.5 - High - December 16, 2022

Common encryption key appears to be used across all deployed instances of Serv-U FTP Server. Because of this an encrypted value that is exposed to an attacker can be simply recovered to plaintext.

authentification

This broken access control vulnerability pertains specifically to a domain admin who can access configuration & user data of other domains

CVE-2021-35249 4.3 - Medium - May 17, 2022

This broken access control vulnerability pertains specifically to a domain admin who can access configuration & user data of other domains which they should not have access to. Please note the admin is unable to modify the data (read only operation). This UAC issue leads to a data leak to unauthorized users for a domain, with no log of them accessing the data unless they attempt to modify it. This read-only activity is logged to the original domain and does not specify which domain was accessed.

A researcher reported a Directory Transversal Vulnerability in Serv-U 15.3

CVE-2021-35250 7.5 - High - April 25, 2022

A researcher reported a Directory Transversal Vulnerability in Serv-U 15.3. This may allow access to files relating to the Serv-U installation and server files. This issue has been resolved in Serv-U 15.3 Hotfix 1.

Directory traversal

Serv-U web login screen to LDAP authentication was allowing characters that were not sufficiently sanitized

CVE-2021-35247 5.3 - Medium - January 10, 2022

Serv-U web login screen to LDAP authentication was allowing characters that were not sufficiently sanitized. SolarWinds has updated the input mechanism to perform additional validation and sanitization. Please Note: No downstream affect has been detected as the LDAP servers ignored improper characters. To insure proper input validation is completed in all environments. SolarWinds recommends scheduling an update to the latest version of Serv-U.

Improper Input Validation

Serv-U server responds with valid CSRFToken when the request contains only Session.

CVE-2021-35242 8.8 - High - December 06, 2021

Serv-U server responds with valid CSRFToken when the request contains only Session.

Session Riding

The Serv-U File Server allows for events such as user login failures to be audited by executing a command

CVE-2021-35223 8.8 - High - August 31, 2021

The Serv-U File Server allows for events such as user login failures to be audited by executing a command. This command can be supplied with parameters that can take the form of user string variables, allowing remote code execution.

Microsoft discovered a remote code execution (RCE) vulnerability in the SolarWinds Serv-U product utilizing a Remote Memory Escape Vulnerability

CVE-2021-35211 10 - Critical - July 14, 2021

Microsoft discovered a remote code execution (RCE) vulnerability in the SolarWinds Serv-U product utilizing a Remote Memory Escape Vulnerability. If exploited, a threat actor may be able to gain privileged access to the machine hosting Serv-U Only. SolarWinds Serv-U Managed File Transfer and Serv-U Secure FTP for Windows before 15.2.3 HF2 are affected by this vulnerability.

Memory Corruption

Share/IncomingWizard.htm in SolarWinds Serv-U before 15.2.3 mishandles the user-supplied SenderEmail parameter, aka "Share URL XSS

CVE-2021-32604 5.4 - Medium - May 11, 2021

Share/IncomingWizard.htm in SolarWinds Serv-U before 15.2.3 mishandles the user-supplied SenderEmail parameter, aka "Share URL XSS."

XSS

An issue was discovered in SolarWinds Serv-U before 15.2.2

CVE-2021-3154 7.5 - High - May 04, 2021

An issue was discovered in SolarWinds Serv-U before 15.2.2. Unauthenticated attackers can retrieve cleartext passwords via macro Injection. NOTE: this had a distinct fix relative to CVE-2020-35481.

Injection

In SolarWinds Serv-U before 15.2.2 Hotfix 1, there is a directory containing user profile files (

CVE-2021-25276 7.1 - High - February 03, 2021

In SolarWinds Serv-U before 15.2.2 Hotfix 1, there is a directory containing user profile files (that include users' password hashes) that is world readable and writable. An unprivileged Windows user (having access to the server's filesystem) can add an FTP user by copying a valid profile file to this directory. For example, if this profile sets up a user with a C:\ home directory, then the attacker obtains access to read or replace arbitrary files with LocalSystem privileges.

Incorrect Permission Assignment for Critical Resource

SolarWinds Serv-U before 15.2.2

CVE-2020-35482 5.4 - Medium - February 03, 2021

SolarWinds Serv-U before 15.2.2 allows authenticated reflected XSS.

XSS

SolarWinds Serv-U before 15.2.2

CVE-2020-35481 9.8 - Critical - February 03, 2021

SolarWinds Serv-U before 15.2.2 allows Unauthenticated Macro Injection.

SolarWinds Serv-U before 15.2.2

CVE-2020-28001 5.4 - Medium - February 03, 2021

SolarWinds Serv-U before 15.2.2 allows Authenticated Stored XSS.

XSS

SolarWinds Serv-U before 15.2.2

CVE-2020-27994 6.5 - Medium - February 03, 2021

SolarWinds Serv-U before 15.2.2 allows Authenticated Directory Traversal.

Directory traversal

SolarWinds Serv-U File Server before 15.2.1

CVE-2020-15576 7.5 - High - July 07, 2020

SolarWinds Serv-U File Server before 15.2.1 allows information disclosure via an HTTP response.

Information Disclosure

SolarWinds Serv-U File Server before 15.2.1

CVE-2020-15575 6.1 - Medium - July 07, 2020

SolarWinds Serv-U File Server before 15.2.1 allows XSS as demonstrated by Tenable Scan, aka Case Number 00484194.

XSS

SolarWinds Serv-U File Server before 15.2.1 mishandles the Same-Site cookie attribute

CVE-2020-15574 7.5 - High - July 07, 2020

SolarWinds Serv-U File Server before 15.2.1 mishandles the Same-Site cookie attribute, aka Case Number 00331893.

Missing Encryption of Sensitive Data

SolarWinds Serv-U File Server before 15.2.1 has a "Cross-script vulnerability

CVE-2020-15573 6.1 - Medium - July 07, 2020

SolarWinds Serv-U File Server before 15.2.1 has a "Cross-script vulnerability," aka Case Numbers 00041778 and 00306421.

XSS

SolarWinds Serv-U MFT before 15.1.6 HFv1 assigns authenticated users a low-entropy session token

CVE-2018-10240 7.3 - High - May 16, 2018

SolarWinds Serv-U MFT before 15.1.6 HFv1 assigns authenticated users a low-entropy session token that can be included in requests to the application as a URL parameter in lieu of a session cookie. This session token's value can be brute-forced by an attacker to obtain the corresponding session cookie and hijack the user's session.

Insufficient Entropy

A denial of service vulnerability in SolarWinds Serv-U before 15.1.6 HFv1

CVE-2018-10241 6.5 - Medium - May 16, 2018

A denial of service vulnerability in SolarWinds Serv-U before 15.1.6 HFv1 allows an authenticated user to crash the application (with a NULL pointer dereference) via a specially crafted URL beginning with the /Web%20Client/ substring.

NULL Pointer Dereference

Stay on top of Security Vulnerabilities

Want an email whenever new vulnerabilities are published for SolarWinds Serv U or by SolarWinds? Click the Watch button to subscribe.

SolarWinds
Vendor

subscribe